import React, { ComponentPropsWithoutRef, ReactNode } from 'react';
import { Container } from '@react-three/uikit';
export declare function Accordion({ children }: {
    children?: ReactNode;
}): React.JSX.Element;
export declare function AccordionItem({ children, ...props }: ComponentPropsWithoutRef<typeof Container> & {
    value: string;
}): React.JSX.Element;
export declare function AccordionTrigger({ children, ...props }: ComponentPropsWithoutRef<typeof Container>): React.JSX.Element;
export declare function AccordionContent({ children, ...props }: ComponentPropsWithoutRef<typeof Container>): React.JSX.Element | null;
