import React, { ComponentPropsWithoutRef, ReactNode } from 'react';
import { Dialog, DialogDescription, DialogFooter, DialogHeader, DialogOverlay, DialogTrigger } from './dialog.js';
import { Container } from '@react-three/uikit';
export declare const AlertDialogOverlay: typeof DialogOverlay;
export declare const AlertDialog: typeof Dialog;
export declare const AlertDialogTrigger: typeof DialogTrigger;
export declare function AlertDialogContent(props: ComponentPropsWithoutRef<typeof Dialog>): React.JSX.Element;
export declare const AlertDialogHeader: typeof DialogHeader;
export declare const AlertDialogFooter: typeof DialogFooter;
export declare function AlertDialogTitle({ children }: {
    children?: ReactNode;
}): React.JSX.Element;
export declare const AlertDialogDescription: typeof DialogDescription;
export declare function AlertDialogAction({ children, onClick, ...props }: ComponentPropsWithoutRef<typeof Container>): React.JSX.Element;
export declare function AlertDialogCancel({ children, onClick, ...props }: ComponentPropsWithoutRef<typeof Container>): React.JSX.Element;
