import { AllOptionalProperties, Container } from '@react-three/uikit';
import React, { ComponentPropsWithoutRef } from 'react';
declare const badgeVariants: {
    [Key in string]: {
        defaultProps?: AllOptionalProperties;
        containerProps?: Omit<ComponentPropsWithoutRef<typeof Container>, 'hover'>;
        containerHoverProps?: ComponentPropsWithoutRef<typeof Container>['hover'];
    };
};
export declare function Badge({ children, variant, hover, ...props }: ComponentPropsWithoutRef<typeof Container> & {
    variant?: keyof typeof badgeVariants;
}): React.JSX.Element;
export {};
