import { Container } from '@react-three/uikit';
import React, { ComponentPropsWithoutRef, ReactNode } from 'react';
export declare function Card({ children, ...props }: ComponentPropsWithoutRef<typeof Container>): React.JSX.Element;
export declare function CardHeader(props: ComponentPropsWithoutRef<typeof Container>): React.JSX.Element;
export declare function CardTitle({ children }: {
    children?: ReactNode;
}): React.JSX.Element;
export declare function CardDescription({ children }: {
    children?: ReactNode;
}): React.JSX.Element;
export declare function CardContent(props: ComponentPropsWithoutRef<typeof Container>): React.JSX.Element;
export declare function CardFooter(props: ComponentPropsWithoutRef<typeof Container>): React.JSX.Element;
