import { Container } from '@react-three/uikit';
import React, { ComponentPropsWithoutRef } from 'react';
export declare function RadioGroup({ defaultValue, value: providedValue, onValueChange, children, ...props }: {
    value?: string;
    onValueChange?(value: string): void;
    defaultValue?: string;
} & ComponentPropsWithoutRef<typeof Container>): React.JSX.Element;
export declare function RadioGroupItem({ disabled, value, children, ...props }: {
    disabled?: boolean;
    value: string;
} & ComponentPropsWithoutRef<typeof Container>): React.JSX.Element;
