import { Container } from '@react-three/uikit';
import React, { ComponentPropsWithoutRef } from 'react';
export declare function Slider({ disabled, value: providedValue, defaultValue, onValueChange, min, max, step, ...props }: {
    disabled?: boolean;
    value?: number;
    defaultValue?: number;
    onValueChange?(value: number): void;
    min?: number;
    max?: number;
    step?: number;
} & Omit<ComponentPropsWithoutRef<typeof Container>, 'children'>): React.JSX.Element;
