import { Container } from '@react-three/uikit';
import React, { ComponentPropsWithoutRef, ReactNode } from 'react';
export declare function Tabs({ value: providedValue, onValueChange, defaultValue, children, ...props }: {
    value?: string;
    onValueChange?(value: string): void;
    defaultValue?: string;
    children?: ReactNode;
} & ComponentPropsWithoutRef<typeof Container>): React.JSX.Element;
export declare function TabsList({ children, ...props }: ComponentPropsWithoutRef<typeof Container>): React.JSX.Element;
export declare function TabsTrigger({ children, value, disabled, ...props }: ComponentPropsWithoutRef<typeof Container> & {
    disabled?: boolean;
    value: string;
}): React.JSX.Element;
export declare function TabsContent({ value, ...props }: ComponentPropsWithoutRef<typeof Container> & {
    value: string;
}): React.JSX.Element | null;
