import { Container } from '@react-three/uikit';
import React, { ComponentPropsWithoutRef } from 'react';
declare const toggleVariants: {
    [Key in string]: {
        containerProps?: ComponentPropsWithoutRef<typeof Container>;
        containerHoverProps?: ComponentPropsWithoutRef<typeof Container>['hover'];
    };
};
declare const toggleSizes: {
    default: {
        height: number;
        paddingX: number;
    };
    sm: {
        height: number;
        paddingX: number;
    };
    lg: {
        height: number;
        paddingX: number;
    };
};
export declare function Toggle({ children, size, variant, defaultChecked, checked: providedChecked, disabled, onCheckedChange, hover, ...props }: ComponentPropsWithoutRef<typeof Container> & {
    defaultChecked?: boolean;
    checked?: boolean;
    disabled?: boolean;
    onCheckedChange?(checked: boolean): void;
    variant?: keyof typeof toggleVariants;
    size?: keyof typeof toggleSizes;
}): React.JSX.Element;
export {};
