import { Container } from '@react-three/uikit';
import React, { ComponentPropsWithoutRef } from 'react';
export declare function Pagination(props: ComponentPropsWithoutRef<typeof Container>): React.JSX.Element;
export declare function PaginationContent(props: ComponentPropsWithoutRef<typeof Container>): React.JSX.Element;
export declare const PaginationItem: typeof Container;
declare const paginationSizes: {
    default: {
        height: number;
        paddingX: number;
        paddingY: number;
    };
    sm: {
        height: number;
        paddingX: number;
    };
    lg: {
        height: number;
        paddingX: number;
    };
    icon: {
        height: number;
        width: number;
    };
};
export declare function PaginationLink({ isActive, size, hover, ...props }: ComponentPropsWithoutRef<typeof Container> & {
    size?: keyof typeof paginationSizes;
    isActive?: boolean;
}): React.JSX.Element;
export declare function PaginationPrevious(props: Omit<ComponentPropsWithoutRef<typeof PaginationLink>, 'children'>): React.JSX.Element;
export declare function PaginationNext(props: Omit<ComponentPropsWithoutRef<typeof PaginationLink>, 'children'>): React.JSX.Element;
export declare function PaginationEllipsis(props: Omit<ComponentPropsWithoutRef<typeof Container>, 'children'>): React.JSX.Element;
export {};
